package com.truckitin.core.utils.error

import androidx.annotation.Keep

@Keep
enum class AuthErrorType(val code: String) {
    DEFAULT_BAD_CREDENTIALS_ERROR("AUTH-001"),
    PASSWORD_MISMATCH_ERROR("AUTH-002"),
    INVALID_USER_GRANTS_ERROR("AUTH-003"),
    INVALID_AUTHENTICATION_TOKEN_ERROR("AUTH-004"),
    USER_ALREADY_EXISTS("AUTH-005"),
    DRIVER_ALREADY_EXISTS("AUTH-006");
}
@Keep
enum class NotFoundErrorType(val code: String) {
    NO_VEHICLE_FOUND("VH-001"),
    VEHICLE_TYPE_NOT_FOUND_ERROR("VH-002"),
    VEHICLE_TYPE_VARIANT_NOT_FOUND_ERROR("VH-003"),
    DRIVER_UNAVAILABLE("BOOK-010"),
    VEHICLE_UNAVAILABLE("BOOK-011"),
    DRIVER_NOT_FOUND_ERROR("DR-001"),
    USER_NOT_FOUND_ERROR("USR-001"),
    COUNTRY_NOT_FOUND_ERROR("CN-001"),
    CITY_NOT_FOUND_ERROR("CT-001"),
    COMPANY_NOT_FOUND_ERROR("CO-001"),
    PRICING_COMPONENT_NOT_FOUND_ERROR("PC-001"),
    FLEET_NOT_FOUND_ERROR("FLT-001"),
    GOODS_TYPE_NOT_FOUND_ERROR("GT-001"),
    ROLE_NOT_FOUND_ERROR("ROL-001"),
    BASE_RATE_NOT_FOUND_ERROR("BR-001"),
    REGISTRATION_NUMBER_ALREADY_EXIST("VH-005"),
    NO_FILE_SELECTED("FIL-001"),
    INVALID_OTP("OTP-002"),
    CAMPAIGN_NOT_FOUND_ERROR("CAMP-001");
}
@Keep
enum class BidErrorType(val code: String) {
    BID_NOT_FOUND_ERROR("BID-001"),
    BID_ALREADY_CREATED_FOR_BOOKING_ERROR("BID-002"),
    SHIPPER_CANNOT_BID_ERROR("BID-003"),
    BID_AMOUNT_MUST_BE_GREATER_THAN_BASE_RATE("BID-004"),
    BID_TIME_WINDOW_FOR_THIS_BOOKING_CLOSED("BID-005"),
    BID_AMOUNT_CAN_NOT_BE_UPDATED_AFTER_ACCEPTANCE("BID-006"),
    BID_WITH_INVALID_UNIQUE_ID_ERROR("BID-012"),
    BID_INVALID_STATE_OF_ACCEPTANCE_ERROR("BID-013"),
    BID_SHIPPER_REQUIREMENT_FULFILLED_ERROR("BID-014"),
    BID_REJECTION_ON_SHIPMENT_FAILURE("BID-017"),
    BID_INVALID_STATE_OF_DRIVER_ASSIGNMENT_ERROR("BID-018"),
    BIDDING_CLOSED_ON_SHIPMENT("BID-020");
}
@Keep
enum class MISC(val code: String) {
    NO_VEHICLE_FOUND("VH-001"),
    COLLECTION_AMOUNT("BOOK-009"),
    BOOKING_STATUS_INCONSISTENCY("BOOK-006"),
    NO_BOOKING_FOUND("BOOK-001"),
    BOOKING_NOT_STARTED("BOOK-019"),
    NO_BOOKING_ASSOCIATED("BOOK-020"),
    UNABLE_TO_DELETE_VEHICLE("VH-008"),
    BANK_ACCOUNT_INVALID_IBAN("GE-004"),
    BANK_ACCOUNT_EXISTING_IBAN("BANK-002")
}

@Keep
enum class LedgerErrorType(val code: String) {
    USER_LEDGER_ERROR("LEDG-001"),
    UNAUTHORIZED_REQUEST_ERROR_LEDGER("LEDG-002"),
    ONBOARDONG_ERROR_LEDGER("LEDG-004"),
    ENTITY_TRANSACTION_REQUEST_ERROR("ETR001"),
    TRANSACTION_WITH_OWN_ACCOUNT("AR-003")
}